const postcssFunctions = require('./src/css/postcss/functions');
const postcssMixins = require('./src/css/postcss/mixins');

module.exports = {
  plugins: [
    'postcss-import',
    'postcss-custom-media',
    ['postcss-mixins', { mixins: postcssMixins }],
    'postcss-preset-env',
    'postcss-nesting',
    'postcss-simple-vars',
    ['postcss-functions', { functions: postcssFunctions }],
  ],
};
